Bug 99107 - SIDEBAR: Unifying the behaviour of single click in the Master Pages tab/deck
Summary: SIDEBAR: Unifying the behaviour of single click in the Master Pages tab/deck
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:5.3.0
Keywords: needsDevEval, topicUI
Depends on:
Blocks: Sidebar-Master-Pages
  Show dependency treegraph
 
Reported: 2016-04-05 21:37 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-24 13:08 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-04-05 21:37:06 UTC
Clicking on a master slide in the 'Used in This Presentation' content panel applies the selected master slide to the current selected slide(s), while clicking one in the 'Recently Used' and 'Available for Use' content panel applies it to all the slides. I dont think this is a good that the behaviour changes between content panels and think it should always apply it to current selected slide(s).
Comment 1 jani 2016-05-26 09:09:07 UTC
Changing status
Comment 2 Commit Notification 2016-07-12 21:02:40 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7f980b43a79168dec3172ea7b9abe52c6f354bc0

tdf#99107: Unify single click behaviour across panels

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.